package com.unis.sxzcl.base.base_detail;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.sxzcl.base.base_detail
 * 类名: BaseDetailType
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/2 15:33
 * 更新人:
 * 更新时间: 2020/12/2 15:33
 * 更新说明:
 * 版本号: 1.0
 */
@IntDef({BaseDetail.TITLE,
        BaseDetail.TITLE_CONTENT,
        BaseDetail.TITLE_IMAGE,
})
@Retention(RetentionPolicy.SOURCE)
public @interface BaseDetail {
    // 只有标题
    int TITLE = 0;
    //标题+内容
    int TITLE_CONTENT = 1;
    //标题+图片
    int TITLE_IMAGE = 2;
}
