package com.unis.sxzcl.ui.house;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.unis.model.bean.HouseBean;
import com.unis.sxzcl.R;

import org.jetbrains.annotations.NotNull;

/**
 * 包名: com.unis.sxzcl.ui.house
 * 类名: HouseListAdapter
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/11/26 9:40
 * 更新人:
 * 更新时间: 2020/11/26 9:40
 * 更新说明:
 * 版本号: 1.0
 */
public class HouseListAdapter extends BaseQuickAdapter<HouseBean, BaseViewHolder> implements LoadMoreModule {

    public HouseListAdapter() {
        super(R.layout.item_list_house);
    }

    @Override
    protected void convert(@NotNull BaseViewHolder holder, HouseBean item) {
        holder.setText(R.id.tv_house, item.getHname());
    }
}
