package com.unis.model;

/**
 * 权限常量
 * 创建人: mQ
 * 创建时间: 2021/2/3 9:21
 */
public class PermitConst {

    /******************** 库点 ********************/
    // 库点
    public static final int depot = 101;
    public static final int depot_add = 102;
    public static final int depot_update = 103;
    public static final int depot_del = 104;
    public static final int depot_read = 105;


    /******************** 仓房 ********************/
    // 仓房
    public static final int house = 107;
    // 查看
    public static final int house_read = 109;
    // 新增
    public static final int house_add = 110;
    // 修改
    public static final int house_update = 111;
    // 删除
    public static final int house_del = 111;


    /******************** 数量质量 ********************/
    // 数量质量
    public static final int quantity = 151;
    // 仓房信息
    public static final int house_info = 174;

    // 库存质量管理
    public static final int quantity_quality = 175;
    // 新增
    public static final int quantity_add = 153;
    // 修改
    public static final int quantity_update = 154;
    // 删除
    public static final int quantity_del = 155;
    // 查看单个对象
    public static final int quantity_read_single = 156;

    // 出库质量管理
    public static final int out_quality = 176;
    // 新增
    public static final int out_add = 177;
    // 修改
    public static final int out_update = 178;
    // 删除
    public static final int out_del = 179;
    // 查看单个对象
    public static final int out_read_single = 180;


    /******************** 储粮管理 ********************/
    // 储粮管理
    public static final int grain_check_manage = 126;

    // 粮情检查
    public static final int grain_check = 128;
    // 新增(保管员)
    public static final int grain_check_add_bgy = 131;
    // 新增(主管科长)
    public static final int grain_check_add_zgkz = 206;
    // 新增(分管副总)
    public static final int grain_check_add_fgfz = 207;
    // 新增(总经理)
    public static final int grain_check_add_zjl = 208;
    // 修改
    public static final int grain_check_update = 135;
    // 删除
    public static final int grain_check_del = 136;

    // 机械通风
    public static final int aeration = 169;
    // 新增
    public static final int aeration_add = 228;
    // 修改
    public static final int aeration_update = 229;
    // 详情
    public static final int aeration_detail = 230;

    // 熏蒸散气
    public static final int fumigation = 337;
    // 新增
    public static final int fumigation_add = 338;
    // 修改
    public static final int fumigation_update = 339;
    // 详情
    public static final int fumigation_detail = 340;


    /******************** 药剂管理 ********************/
    // 药剂管理
    public static final int drug_manage = 170;
    // 药剂采购
    public static final int drug_buy = 171;
    // 新增
    public static final int drug_buy_add = 185;
    // 修改
    public static final int drug_buy_update = 186;
    // 详情
    public static final int drug_buy_detail = 182;

    // 药剂保管
    public static final int drug_custody = 172;
    // 新增
    public static final int drug_custody_add = 195;
    // 修改
    public static final int drug_custody_update = 196;
    // 详情
    public static final int drug_custody_detail = 198;

    // 药剂领用
    public static final int drug_apply = 173;
    // 新增
    public static final int drug_apply_add = 203;
    // 修改
    public static final int drug_apply_update = 204;
    // 详情
    public static final int drug_apply_detail = 205;


    /******************** 设施设备 ********************/
    // 设施设备
    public static final int facility_device = 242;

    // 设施管理
    public static final int facility = 243;
    // 消防设施新增
    public static final int facility_add_xfss = 319;
    // 仓房设施新增
    public static final int facility_add_cfss = 320;
    // 计量设施新增
    public static final int facility_add_jlss = 321;
    // 药品库设施新增
    public static final int facility_add_ypkss = 322;
    // 配电室设施新增
    public static final int facility_add_pdsss = 322;
    // 修改
    public static final int facility_update = 330;


}
