package com.unis.model;

/**
 * 包名: com.unis.model
 * 类名: UrlPath
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/9 11:00
 * 更新人:
 * 更新时间: 2020/12/9 11:00
 * 更新说明:
 * 版本号: 1.0
 */
public class UrlPath {

    //服务器地址
//    public static final String host = "http://101.36.160.140:21021"; // 正式服务器
    public static final String host = "http://101.36.160.140:21061"; // 测试服务器

    //图片地址
    public static final String image_host = host + "/api/csc-szls-system-manage/minio/preViewPicture/";
    // 上传图片
    public static final String upload_file = host + "/api/csc-szls-system-manage//minio/testupload";

    //版本信息
    public static final String version_info = host + "/apk/version_info.json";
    public static final String apk_path = host + "/apk/";

    // 枚举
    public static final String enum_all = host + "/api/csc-szls-system-manage/basicsEnum/authority/getAll";


    /****************** 登录 ******************/
    // 登录
    public static final String login = host + "/api/csc-szls-system-manage/public/login";
    // 验证码
    public static final String captcha = host + "/api/csc-szls-system-manage/public/captcha";
    // 验证码校验
    public static final String verify_code = host + "/api/csc-szls-system-manage/public/verifyCode";
    // 注销登录
    public static final String logout = host + "/api/csc-szls-system-manage/public/logout";
    // 验证密码
    public static final String verify_pwd = host + "/api/csc-szls-system-manage/user/authority/getIfPassword";
    // 修改密码
    public static final String update_pwd = host + "/api/csc-szls-system-manage/user/authority_button/updatePassword";

    // 新增用户
    public static final String user_add = host + "/api/csc-szls-system-manage/user/authority_button/add";
    // 用户信息
    public static final String user_info = host + "/api/csc-szls-system-manage/user/authority/getById";
    // 角色权限
    public static final String role_permit = host + "/api/csc-szls-system-manage/role/authority/getAllResource";


    /****************** 库 ******************/
    // 库组织架构树
    public static final String depot_multi_list = host + "/api/csc-szls-system-manage/basicsDepot/authority/getAll";
    // 库字典
    public static final String depot_dictionary = host + "/api/csc-szls-system-manage/basicsDepot/authority/getAllMAP";


    /****************** 仓房 ******************/
    // 仓房列表
    public static final String house_list = host + "/api/csc-szls-system-manage/basicsWarehouse/authority/getDepotAll";
    // 仓房信息
    public static final String house_detail = host + "/api/csc-szls-system-manage/basicsWarehouse/authority/getById";
    // 仓房信息 修改
    public static final String house_update = host + "/api/csc-szls-system-manage/basicsWarehouse/authority_button/update";
    // 仓房字典
    public static final String house_dictionary = host + "/api/csc-szls-system-manage/basicsWarehouse/authority/getAllMAP";


    /****************** 人员 ******************/
    // 人员树
    public static final String person_tree = host + "/api/csc-szls-system-manage/sysPersonnel/authority/getByDepotId";
    // 人员详情
    public static final String person_detail = host + "/api/csc-szls-system-manage/sysPersonnel/authority/getById";
    // 人员详情 仓房id
    public static final String person_detail_by_house = host + "/api/csc-szls-system-manage/sysPersonnel/authority/getByWarehouseId";
    // 修改人员信息

    public static final String person_update = host + "/api/csc-szls-system-manage/sysPersonnel/authority_button/update";
    // 人员字典
    public static final String person_dictionary = host + "/api/csc-szls-system-manage/user/authority/getAll";


    /****************** 部门 ******************/
    // 部门字典
    public static final String department_dictionary = host + "/api/csc-szls-system-manage/sysDepartment/authority/getAllMAP";


    /****************** 粮情检查 ******************/
    // 粮情检查选项字典
    public static final String grain_check_dictionary = host + "/api/csc-szls-business/grainManageDictionary/authority/getPage";


    /****************** 粮情检查(重构) ******************/
    // 粮情检查类型
    public static final String grain_check_type = host + "/api/csc-szls-system-manage/basicsEnum/authority/getOnlyChildData";
    // 粮情检查新增
    public static final String grain_check_add = host + "/api/csc-szls-business/grainConditionRecord/authority_button/add";
    // 粮情检查记录
    public static final String grain_check_list = host + "/api/csc-szls-business/grainConditionRecord/authority/getPage";
    // 粮情检查详情
    public static final String grain_check_detail = host + "/api/csc-szls-business/grainRecordChild/authority/getById";
    // 粮情检查修改
    public static final String grain_check_update = host + "/api/csc-szls-business/grainConditionRecord/authority_button/update";

    /****************** 库存质量 ******************/
    // 库存质量列表
    public static final String quantity_quality_list = host + "/api/csc-szls-business/quantityQuality/authority/getPage";
    // 库存质量详情
    public static final String quantity_quality_detail = host + "/api/csc-szls-business/quantityQuality/authority/getById";
    // 库存质量新增
    public static final String quantity_quality_add = host + "/api/csc-szls-business/quantityQuality/authority_button/add";
    // 库存质量修改
    public static final String quantity_quality_update = host + "/api/csc-szls-business/quantityQuality/authority_button/update";


    /****************** 机械通风 ******************/
    // 机械通风列表
    public static final String process_list = host + "/api/csc-szls-business/ventilation/processAudit/getPage";
    // 机械通风初始化流程
    public static final String process_all = host + "/api/csc-szls-business/ventilation/processMain/getAllProcess";
    // 新增机械通风
    public static final String process_add = host + "/api/csc-szls-business/ventilation/processAudit/add";
    // 修改机械通风
    public static final String process_update = host + "/api/csc-szls-business/ventilation/processAudit/detailsAdd";
    // 机械通风审批
    public static final String process_audit = host + "/api/csc-szls-business/ventilation/processAudit/audit";
    // 机械通风详情
    public static final String process_detail = host + "/api/csc-szls-business/ventilation/processAudit/getDataByProcessId";


    /****************** 药剂采购 ******************/
    // 药剂采购审批
    public static final String process_yjcgAudit = host + "/api/csc-szls-business/ventilation/processAudit/yjcgAudit";

    /****************** 药剂保管 ******************/
    // 药剂保管新增
    public static final String process_drug_add = host + "/api/csc-szls-business/ventilation/processAudit/drugDetailsAdd";

    // 审批流程
    public static final String approve_all = host + "/api/csc-szls-business/ventilation/processBasis/getBasisByType";


    /****************** 待办 ******************/
    // 待办 已发起
    public static final String todo_apply_list = host + "/api/csc-szls-business/ventilation/processAudit/applyList";
    // 待办 待处理
    public static final String todo_list = host + "/api/csc-szls-business/ventilation/processAudit/toDisposeList";
    // 待办 已处理
    public static final String todo_finish_list = host + "/api/csc-szls-business/ventilation/processAudit/completeList";
    // 设置待办状态
    public static final String todo_manage = host + "/api/csc-szls-business/ventilation/processAudit/haveDone";


    /****************** 通知 ******************/
    // 通知列表
    public static final String notice_list = host + "/api/csc-szls-message/sysNoticeUser/authority/getPage";
    // 通知已读
    public static final String notice_read = host + "/api/csc-szls-message/sysNoticeUser/authority_button/readed";


    /****************** 公告 ******************/
    // 公告列表
    public static final String announce_list = host + "/api/csc-szls-message/sysAnnouncementUser/authority/getPage";
    // 公告已读
    public static final String announce_read = host + "/api/csc-szls-message/sysAnnouncementUser/authority_button/readed";


    /****************** 政策制度 ******************/
    // 政策制度列表
    public static final String policy_list = host + "/api/csc-szls-message/sysPolicySystemUser/authority/getPage";


    /****************** 首页 ******************/
    // 获取统计图
    public static final String home_percent = host + "/api/csc-szls-system-manage/basicsWarehouse/authority/getPercent";


    /****************** 设施管理 ******************/
    // 最新设施检查信息
    public static final String facility_check_last = host + "/api/csc-szls-business/equipFacilities/facilities/lastFacilities";


}
