package com.unis.model.bean.detail;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.sxzcl.ui.grain_check
 * 类名: DetailItemType
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/11 16:42
 * 更新人:
 * 更新时间: 2020/12/11 16:42
 * 更新说明:
 * 版本号: 1.0
 */
@IntDef({
        DetailItemType.radio,
        DetailItemType.input,
        DetailItemType.approve,
})
@Retention(value = RetentionPolicy.SOURCE)
public @interface DetailItemType {

    /******** 选项样式类型 *******/

    // 单选
    int radio = 1;
    // 输入
    int input = 2;
    // 审批
    int approve = 3;
}
