package com.unis.model.bean.notice;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.model.bean
 * 类名: NoticeType
 * 作用描述: 通知类型
 * 创建人: mQ
 * 创建时间: 2020/12/5 13:53
 * 更新人:
 * 更新时间: 2020/12/5 13:53
 * 更新说明:
 * 版本号: 1.0
 */
@IntDef({NoticeType.SYSTEM,
        NoticeType.AUDIT,
        NoticeType.TODO,})
@Retention(RetentionPolicy.SOURCE)
public @interface NoticeType {
    // 系统通知
    int SYSTEM = 1;
    // 审批通知
    int AUDIT = 2;
    // 待办通知
    int TODO = 3;
}
