package com.unis.model.bean.todo;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.model.bean.todo
 * 类名: TodoType
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/5 16:23
 * 更新人:
 * 更新时间: 2020/12/5 16:23
 * 更新说明:
 * 版本号: 1.0
 */
@IntDef({TodoListType.APPLY,
        TodoListType.WAIT_DISPOSED,
        TodoListType.FINISH,
})
@Retention(RetentionPolicy.SOURCE)
public @interface TodoListType {
    // 已发起
    int APPLY = 1;
    // 待处理
    int WAIT_DISPOSED = 2;
    // 已处理
    int FINISH = 3;
}
