package com.unis.model.bean.todo;

import androidx.annotation.IntDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.model.bean.todo
 * 类名: TodoStatus
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/5 16:32
 * 更新人:
 * 更新时间: 2020/12/5 16:32
 * 更新说明:
 * 版本号: 1.0
 */
@IntDef({
        TodoStatus.UN_AUDIT,
        TodoStatus.AUDIT_PASS,
        TodoStatus.AUDIT_NO_PASS,
        TodoStatus.UN_DISPOSED,
        TodoStatus.DISPOSED,
})
@Retention(RetentionPolicy.SOURCE)
public @interface TodoStatus {
    // 未审批 审批中
    int UN_AUDIT = 1;
    // 审批通过
    int AUDIT_PASS = 2;
    // 审批不通过
    int AUDIT_NO_PASS = 3;
    // 待处理
    int UN_DISPOSED = 4;
    // 已处理
    int DISPOSED = 5;
}
