package com.unis.model.bean.todo;

import androidx.annotation.StringDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.model.bean.todo
 * 类名: TodoType
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/5 16:23
 * 更新人:
 * 更新时间: 2020/12/5 16:23
 * 更新说明:
 * 版本号: 1.0
 */
@StringDef({
        WorkType.tf,
        WorkType.xz,
        WorkType.xzjh,
        WorkType.xzsq,
        WorkType.yjcg,
        WorkType.yjly,
        WorkType.yjbg
})
@Retention(RetentionPolicy.SOURCE)
public @interface WorkType {

    // 机械通风
    String tf = "tf";
    // 熏蒸管理
    String xz = "xz";
    // 熏蒸计划
    String xzjh = "xzjh";
    // 熏蒸散气
    String xzsq = "xzsq";
    // 药剂采购
    String yjcg = "yjcg";
    // 药剂领用
    String yjly = "yjly";
    // 药剂保管
    String yjbg = "yjbg";

    // 保管员每周粮情检查
    String code0 = "code0";
    // 安全员每天安全检查
    String code1 = "code1";
    // 仓储科长每2周本库检查
    String code2 = "code2";
    // 业务科长每2周分库检查
    String code3 = "code3";
    // 监管科长每2周租仓、委托点检查
    String code4 = "code4";
    // 分管副总每月粮情检查
    String code5 = "code5";
    // 分管副总每月质量检查
    String code6 = "code6";
    // 分管副总每月分库检查
    String code7 = "code7";
    // 总经理每季检查粮情
    String code8 = "code8";
    // 安全员每天租仓管理/委托管理
    String code9 = "code9";
    //保管员每天租仓管理/委托管理
    String code10 = "code10";


}
