package com.unis.model.bean.user;

import androidx.annotation.StringDef;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 包名: com.unis.model.bean.user
 * 类名: RoleType
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/30 15:47
 * 更新人:
 * 更新时间: 2020/12/30 15:47
 * 更新说明:
 * 版本号: 1.0
 */

@StringDef({
        RoleType.R_CJGLY,
        RoleType.R_JDJC,
        RoleType.R_CKGLRY,
        RoleType.R_YJGLRY,
        RoleType.R_ZLJCRY,
        RoleType.R_QCSBRY,
        RoleType.R_BGY,
        RoleType.R_KZ,
        RoleType.R_ZJL,
        RoleType.R_FZJL,
        RoleType.R_DZS,
        RoleType.R_FGSCCKKZ,
        RoleType.R_FKZ,
        RoleType.R_CGY,
        RoleType.R_TJY,
        RoleType.R_AQY,
        RoleType.R_YPJXGLY,
})
@Retention(RetentionPolicy.SOURCE)
public @interface RoleType {
    String R_CJGLY = "1";        // 超级管理员
    String R_JDJC = "3";         // 监督检查人员
    String R_CKGLRY = "26";      // 仓库管理人员
    String R_YJGLRY = "27";      // 药剂管理人员
    String R_ZLJCRY = "28";      // 质量检查人员
    String R_QCSBRY = "29";      // 器材设备人员
    String R_BGY = "30";         // 保管员
    String R_KZ = "33";          // 科长
    String R_ZJL = "34";         // 总经理
    String R_FZJL = "35";        // 副总经理
    String R_DZS = "36";         // 党支书
    String R_FGSCCKKZ = "37";    // 分公司仓储科科长
    String R_FKZ = "40";         // 副科长
    String R_CGY = "50";         // 采购员
    String R_TJY = "51";         // 统计员
    String R_AQY = "52";         // 安全员
    String R_YPJXGLY = "53";     // 药品机械管理员
}